Subject: Re: [bitcoin-dev] how to disable segwit in my build?

From: Federico Tenga <[email-masked]>
Date: Thu, 13 Jul 2017 15:11:21 +0200

On 13 July 2017 at 03:04, Gregory Maxwell via bitcoin-dev <
[email-masked]> wrote:

>
> Can you explain why you wish to do this?  It should have absolutely no
> adverse impact on you-- if you don't use segwit, you don't use it-- it
> may be the case that there is some confusion about the implications
> that I could clear up for you... or suggest alternatives that might
> achieve your goals.
>

I believe that a good reason not to wish your node to be segwit compliant
is to avoid having to deal with the extra bandwidth that segwit could
require.   Running a 0.14.2 node means being ok with >1MB blocks, in case
segwit is activated and widely used. Users not interested in segwit
transactions may prefer to keep the cost of their node lower.